Package org.jboss.modules

# Class AbstractLocalLoader

java.lang.Object
org.jboss.modules.AbstractLocalLoader

All Implemented Interfaces:
  `LocalLoader`

public abstract class AbstractLocalLoader extends Object implements LocalLoader
An abstract local loader implementation.

Author:
  David M. Lloyd

## Constructor Summary

Constructors
Constructor
Description
`AbstractLocalLoader()`

## Method Summary

Modifier and Type
Method
Description
`Class<?>`
`loadClassLocal(String name, boolean resolve)`
Load a class which is locally defined by this loader.
`Package`
`loadPackageLocal(String name)`
Load a package which is locally defined by this loader.
`List<Resource>`
`loadResourceLocal(String name)`
Load a resource which is locally defined by this loader.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractLocalLoader

public AbstractLocalLoader()

## Method Details

### loadClassLocal

public Class<?> loadClassLocal(String name, boolean resolve)
Load a class which is locally defined by this loader. Returns `null` by default.

Specified by:
  `loadClassLocal` in interface `LocalLoader`
Parameters:
  `name` - the class name
  `resolve` - `true` to resolve the class
Returns:
  the class, or `null` if there is no local class with this name

### loadPackageLocal

public Package loadPackageLocal(String name)
Load a package which is locally defined by this loader. Returns `null` by default.

Specified by:
  `loadPackageLocal` in interface `LocalLoader`
Parameters:
  `name` - the package name
Returns:
  the package, or `null` if there is no local package with this name

### loadResourceLocal

public List<Resource> loadResourceLocal(String name)
Load a resource which is locally defined by this loader. The given name is a path separated by "`/`" characters. Returns `null` by default.

Specified by:
  `loadResourceLocal` in interface `LocalLoader`
Parameters:
  `name` - the resource path
Returns:
  the resource or resources, or an empty list if there is no local resource with this name